#! /bin/bash

set -e

. ./pika-build-config.sh

VERSION="$PIKA_PACKAGE_VERSION"

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Get source code
if [[ "$PIKA_PACKAGE_NAME" == *-dmo ]];
then
	apt-get source "$PIKA_PACKAGE_NAME" -y
else
	apt-get source "$PIKA_PACKAGE_NAME=$VERSION" -y
fi

pika-pbuilder-i386-init
pika-pbuilder-i386-build build ./*.dsc

# Move the debs to output
mkdir -p ./output
mv ./*.deb ./output/
